Package Details: linux-pds 5.18.1.arch1-1

Git Clone URL: https://aur.archlinux.org/linux-pds.git (read-only, click to copy)
Package Base: linux-pds
Description: The Linux kernel and modules ~ featuring Alfred Chen's PDS CPU scheduler, rebased by TkG
Upstream URL: https://github.com/archlinux/linux/commits/v5.18.1-arch1
Licenses: GPL2
Provides: VIRTUALBOX-GUEST-MODULES, WIREGUARD-MODULE
Replaces: virtualbox-guest-modules-arch, wireguard-arch
Submitter: QuartzDragon
Maintainer: QuartzDragon
Last Packager: QuartzDragon
Votes: 7
Popularity: 0.031159
First Submitted: 2019-05-11 18:16 (UTC)
Last Updated: 2022-06-02 14:32 (UTC)

Pinned Comments

QuartzDragon commented on 2019-06-22 15:39 (UTC)

This package follows the Arch Linux kernel release, and will be updated as it is.

Latest Comments

mabod commented on 2022-05-06 07:37 (UTC) (edited on 2022-05-06 07:37 (UTC) by mabod)

_kernel_patch_name in the PKGBUILD should be updated.

It is:

_kernel_patch_name="more-uarches-for-kernel-5.15-5.16.patch"

But it should be:

_kernel_patch_name="more-uarches-for-kernel-5.17+.patch"

QuartzDragon commented on 2022-03-19 05:51 (UTC)

@unknown78

Oops. Fixed! :)

unknown78 commented on 2022-03-18 23:38 (UTC) (edited on 2022-03-18 23:38 (UTC) by unknown78)

currently doesn't build seems like config files has wrong checksum

unknown78 commented on 2021-09-15 10:19 (UTC)

@QuartzDragon , thank you alot for your hard effort.

QuartzDragon commented on 2021-09-15 03:22 (UTC)

Fixed now.

QuartzDragon commented on 2021-09-15 03:18 (UTC)

@unknown78

Will fix. Was apparently a change from today, I think, that broke it.

unknown78 commented on 2021-09-15 01:47 (UTC) (edited on 2021-09-15 01:48 (UTC) by unknown78)

Ok the package from today gives the following error:

patch: **** Can't open patch file /*****/linux-pds/src/kernel_compiler_patch/more-uarches-for-kernel-5.8+.patch : No such file or directory

QuartzDragon commented on 2021-09-06 20:38 (UTC)

@unknown78

For now, I'll revert back to previous commit while I figure out what the error is.

QuartzDragon commented on 2021-09-06 20:26 (UTC)

@unknown78

Let me see if I can reproduce it on my end.

unknown78 commented on 2021-09-06 10:48 (UTC)

Here is the passage in english https://termbin.com/et5a

QuartzDragon commented on 2021-09-06 00:19 (UTC)

@unknown78

Need the errors in English, as I can't read that language, sorry.

Please post errors after running kernel build with LC_ALL=C.

unknown78 commented on 2021-09-06 00:01 (UTC)

Doesn't currently build for me / runs into at least the follow error (not sure if that are all errors preventing the build) -> https://termbin.com/525s

halo-shit commented on 2021-07-16 08:11 (UTC)

no need to clone entire kernel source repo. too big.

unknown78 commented on 2021-07-01 13:36 (UTC)

https://bugs.archlinux.org/task/68077 | can you add the anbox modules to the kernel too, cause as stated the dkms build fails.

zerotwo commented on 2021-03-20 16:20 (UTC)

@QuartzDragon

That fixed the issue, thank you!

QuartzDragon commented on 2021-03-20 12:27 (UTC)

@ zerotwo

I had to edit "make oldconfig" to "make olddefconfig" in the PKGBUILD because it kept asking me for configuration options interactively (spamming the terminal over and over in fact) and there was no way to answer them.

Can you try it again with this update I just pushed?

zerotwo commented on 2021-03-20 12:10 (UTC)

I had to edit "make oldconfig" to "make olddefconfig" in the PKGBUILD because it kept asking me for configuration options interactively (spamming the terminal over and over in fact) and there was no way to answer them.

unknown78 commented on 2020-12-20 11:00 (UTC)

Hi QuartzDragon maybe you want to add cpio to the dependencies -> https://bbs.archlinux.org/viewtopic.php?id=261876 ... it took time to stumble across this post and fixed me not being able to build 5.10.1 and stopping randomly. I was realy afraid to have a hw defect.

QuartzDragon commented on 2020-12-16 23:33 (UTC)

Compressed the config file, so it fits within the 250KiB blob limit... :|

QuartzDragon commented on 2020-12-16 22:51 (UTC)

Currently cannot update due to https://bugs.archlinux.org/task/68997

QuartzDragon commented on 2020-07-28 07:52 (UTC)

@simona

Please create an issue here:

https://github.com/Frogging-Family/linux-tkg

simona commented on 2020-07-28 07:46 (UTC)

errore: linux-tkg-bmq: chiave "6025FD838D82C3041F4C71CA8A9E14A07010F7E3" sconosciuta
errore: impossibile cercare la chiave "6025FD838D82C3041F4C71CA8A9E14A07010F7E3" sul server remoto
sorry id wrong area.
some idea?

simona commented on 2020-05-02 11:23 (UTC)

thx :-)

QuartzDragon commented on 2020-05-02 02:27 (UTC)

@simona

Wrong place to report errors. Report here: https://github.com/PedroHLC/chaotic-aur/issues

simona commented on 2020-05-01 17:59 (UTC) (edited on 2020-05-01 18:00 (UTC) by simona)

On chaotic-aur repos I have "linux-tkg-muqss" "linux-tkg-pds" "linux-tkg-bmq".
All was installed.
But now error "/usr/share/libalpm/scripts/cleanup è già presente nel filesystem (appartiene a linux-tkg-*"
Do not allow anymore to have all instaled.

QuartzDragon commented on 2020-04-09 03:36 (UTC)

Should work now. I've added the Arch patch to fix the Sphinx 3 build error.

GOKUSSL4 commented on 2020-04-09 02:55 (UTC)

Running Sphinx v3.0.0

Extension error: Could not import extension cdomain (exception: cannot import name 'c_funcptr_sig_re' from 'sphinx.domains.c' (/usr/lib/python3.8/site-packages/sphinx/domains/c.py)) make[1]: [Documentation/Makefile:81: htmldocs] Error 2 make: [Makefile:1549: htmldocs] Error 2 ==> ERROR: A failure occurred in build(). Aborting...

maybe patch it

Qushy commented on 2020-03-24 20:05 (UTC)

I had a problem with the package getting stuck on step 30 with Generic Kernel. I set it to AMD Zen 2 (My architecture) and the build works fine now. Thanks for this great package. :D

QuartzDragon commented on 2020-02-28 05:46 (UTC)

not able to import pgp keys

Please look at the Arch Wiki, as this indicates a misconfiguration somewhere, usually.

normalname012 commented on 2020-02-27 16:10 (UTC)

not able to import pgp keys

toki1990 commented on 2019-09-16 21:25 (UTC)

build stops. after set that not stop :

For PDS:
0: No yield.
1: Yield only to better priority/deadline tasks.
2: Expire timeslice and recalculate deadline.

i'm selected from config to 1 . build not stop.

QuartzDragon commented on 2019-06-22 15:39 (UTC)

This package follows the Arch Linux kernel release, and will be updated as it is.

QuartzDragon commented on 2019-05-18 17:14 (UTC)

@enihcam

This package has a -pds suffix, so it won't be very clear that this would include BMQ.

I guess you can fork this, and make it use BMQ and -bmq instead.

Besides, this is stable and legacy, so I'd prefer to keep it this way.

enihcam commented on 2019-05-18 08:06 (UTC)

Any plan for BMQ?